/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<brightnessmanager.h>)
#  include <brightnessmanager.h>
#endif
#if __has_include(<lockmanager.h>)
#  include <lockmanager.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_org_kde_solidextras()
{
    qmlRegisterModule("org.kde.solidextras", 254, 0);
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<BrightnessManager>("org.kde.solidextras", 254);
    qmlRegisterTypesAndRevisions<LockManager>("org.kde.solidextras", 254);
    QT_WARNING_POP
    qmlRegisterModule("org.kde.solidextras", 254, 254);
}

static const QQmlModuleRegistration orgkdesolidextrasRegistration("org.kde.solidextras", qml_register_types_org_kde_solidextras);
